package com.yem.wm.es.storagetrans.op;

import com.yem.wm.es.storagetrans.validator.StorageTransDelValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

import java.util.List;

/**
 * @author xwudd
 * @Description
 * @date 16:26
 **/
public class StorageTransDelOp extends AbstractOperationServicePlugIn {
    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        e.addValidator(new StorageTransDelValidator());
    }

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        List<String> fieldKeys = e.getFieldKeys();
        fieldKeys.add("yem_sourceentryid");
        fieldKeys.add("yem_es_materialinfo");
        fieldKeys.add("yem_unpackingqty");
    }
}
